<script setup lang="ts">
import { inject, type Ref } from 'vue';

const rail = inject<Ref<boolean>>('rail')
const drawer = inject<Ref<boolean>>('drawer')

</script>

<template>
    <v-navigation-drawer
        :width="220"  
        v-model="drawer"
        :rail="rail"
        expand-on-hover
        style="background-color: #D7BB93;"
      >
        <v-list density="compact" nav>
          <v-list-item prepend-icon="mdi-home" title="Main Menu" value="home" :to="{path : '/'}"></v-list-item>
          <v-list-item prepend-icon="mdi-point-of-sale" title="POS" value="pos" :to="{name: 'pos'}"></v-list-item>
          <v-list-item prepend-icon="mdi-package-variant-closed" title="Stock Mangement" value="stock" :to="{name: 'stock'}"></v-list-item>
          <v-list-item prepend-icon="mdi-clock" title="CheckIn-Out" value="CheckInOut" :to="{name: 'CheckInOut'}"></v-list-item>
        </v-list>
    </v-navigation-drawer>
</template>